## cqrlib 1.0.3

=== Makefile ===
#
#  Makefile
#  CQRlib
#
#  Created by Herbert J. Bernstein on 02/22/09.
#  Copyright 2009 Herbert J. Bernstein. All rights reserved.
#
#

#  Work supported in part by NIH NIGMS under grant 1R15GM078077-01 and DOE 
#  under grant ER63601-1021466-0009501.  Any opinions, findings, and 
#  conclusions or recommendations expressed in this material are those of the   
#  author(s) and do not necessarily reflect the views of the funding agencies.


#**********************************************************************
#*                                                                    *
#* YOU MAY REDISTRIBUTE THE CQRlib API UNDER THE TERMS OF THE LGPL    *
#*                                                                    *
#**********************************************************************/

#************************* LGPL NOTICES *******************************
#*                                                                    *
#* This library is free software; you can redistribute it and/or      *
#* modify it under the terms of the GNU Lesser General Public         *
#* License as published by the Free Software Foundation; either       *
#* version 2.1 of the License, or (at your option) any later version. *
#*                                                                    *
#* This library is distributed in the hope that it will be useful,    *
#* but WITHOUT ANY WARRANTY; without even the implied warranty of     *
#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  *
#* Lesser General Public License for more details.                    *
#*                                                                    *
#* You should have received a copy of the GNU Lesser General Public   *
#* License along with this library; if not, write to the Free         *
#* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,    *
#* MA  02110-1301  USA                                                *
#*                                                                    *
#**********************************************************************/

# Version string
VERSION = 2:0:0
RELEASE = 1.0.3


#
# Compiler and compilation flags
#
CC	= gcc
CFLAGS  = -g -O2  -Wall -ansi -pedantic

#
# libtool path if system default is not suitable
#
#LIBTOOL = $(HOME)/bin/libtool
ifndef LIBTOOL
  LIBTOOL = libtool
endif

#
# If local headers must be quoted uncomment the next line
#
#USE_LOCAL_HEADERS = 1


#
# Directories
#
ROOT     = .
LIB      = $(ROOT)/lib
BIN      = $(ROOT)/bin
SRC      = $(ROOT)
INC      = $(ROOT)
EXAMPLES = $(ROOT)
TESTDATA = $(ROOT)
#INSTALLDIR = /usr/local
INSTALLDIR  = $(HOME)

#
# Include directories
#
ifdef USE_LOCAL_HEADERS
INCLUDES = -DUSE_LOCAL_HEADERS
else
INCLUDES = -I$(INC)
endif

COMPILE_COMMAND        =  $(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c
LIBRARY_LINK_COMMAND   =  $(LIBTOOL) --mode=link  $(CC) -version-info $(VERSION) -release $(RELEASE) -rpath $(INSTALLDIR)/lib
BUILD_COMMAND_LOCAL    =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(INCLUDES)
BUILD_COMMAND_DYNAMIC  =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -dynamic -I $(INSTALLDIR)/include -L$(INSTALLDIR)/lib
BUILD_COMMAND_STATIC   =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -static -I $(INSTALLDIR)/include -L$(INSTALLDIR)/lib
INSTALL_COMMAND        =  $(LIBTOOL) --mode=install cp
INSTALL_FINISH_COMMAND =  $(LIBTOOL) --mode=finish

OBJ_EXT                =  lo
LIB_EXT                =  la

######################################################################
#  You should not need to make modifications below this line         #
######################################################################

#
# Suffixes of files to be used or built
#
.SUFFIXES:	.c .$(OBJ_EXT) .$(LIB_EXT)

#
# Common dependencies
#
COMMONDEP = Makefile

#
# Source files
#
SOURCE   =  $(SRC)/cqrlib.c

#
# Header files
#
HEADERS   =  $(INC)/cqrlib.h

# Default: instructions
#
default:
	@echo ' '
	@echo '***************************************************************'
	@echo ' '
	@echo ' PLEASE READ README_CQRlib.txt and lgpl.txt'
	@echo ' '
	@echo ' Before making the CQRlib library and example programs, check'
	@echo ' that the chosen settings are correct'
	@echo ' '
	@echo ' The current compile command is:'
	@echo ' '
	@echo '   $(COMPILE_COMMAND)'
	@echo ' '
	@echo ' The current library link command is:'
	@echo ' '
	@echo '   $(LIBRARY_LINK_COMMAND)'
	@echo ' '
	@echo ' The current library local, dynamic and static build commands are:'
	@echo ' '
	@echo '   $(BUILD_COMMAND_LOCAL)'
	@echo '   $(BUILD_COMMAND_DYNAMIC)'
	@echo '   $(BUILD_COMMAND_STATIC)'
	@echo ' '
	@echo ' Before installing the CQRlib library and example programs, check'
	@echo ' that the install directory and install commands are correct:'
	@echo ' '
	@echo ' The current values are :'
	@echo ' '
	@echo '   $(INSTALLDIR) '	
	@echo '   $(INSTALL_COMMAND) '	
	@echo '   $(INSTALL_FINISH) '	
	@echo ' '
	@echo ' To compile the CQRlib library and example programs type:'
	@echo ' '
	@echo '   make clean'
	@echo '   make all'
	@echo ' '
	@echo ' To run a set of tests type:'
	@echo ' '
	@echo '   make tests'
	@echo ' '
	@echo ' To clean up the directories type:'
	@echo ' '
	@echo '   make clean'
	@echo ' '
	@echo ' To install the library and binaries type:'
	@echo ' '
	@echo '   make install'
	@echo ' '
	@echo '***************************************************************'
	@echo ' '

#
# Compile the library and examples
#
all:	$(LIB) $(BIN) $(SOURCE) $(HEADERS) \
		$(LIB)/libCQRlib.$(LIB_EXT) \
		$(BIN)/CQRlibTest
		
install:  all $(INSTALLDIR) $(INSTALLDIR)/lib $(INSTALLDIR)/include \
          $(INC) $(LIB)/libCQRlib.$(LIB_EXT)  $(INC)/cqrlib.h
		  $(INSTALL_COMMAND) $(LIB)/libCQRlib.$(LIB_EXT) $(INSTALLDIR)/lib/libCQRlib.$(LIB_EXT)
		  $(INSTALL_FINISH_COMMAND) $(INSTALLDIR)/lib/libCQRlib.$(LIB_EXT)
		  -cp $(INSTALLDIR)/include/cqrlib.h $(INSTALLDIR)/include/CQRlib_old.h
		  cp $(INC)/cqrlib.h $(INSTALLDIR)/include/cqrlib.h
		  chmod 644 $(INSTALLDIR)/include/cqrlib.h
		  echo "Testing final install dynamic"
		  $(BUILD_COMMAND_DYNAMIC)  $(EXAMPLES)/CQRlibTest.c \
		  -lCQRlib -lm -o $(BIN)/CQRlibTest_dynamic
		  $(BIN)/CQRlibTest_dynamic > $(TESTDATA)/CQRlibTest_dynamic.lst
		  diff -b -c $(TESTDATA)/CQRlibTest_orig.lst \
		    $(TESTDATA)/CQRlibTest_dynamic.lst
		  echo "Testing final install static"
		  $(BUILD_COMMAND_STATIC) $(EXAMPLES)/CQRlibTest.c \
		   -lCQRlib -lm -o $(BIN)/CQRlibTest_static
		  $(BIN)/CQRlibTest_static > $(TESTDATA)/CQRlibTest_static.lst
		  diff -b -c $(TESTDATA)/CQRlibTest_orig.lst \
		    $(TESTDATA)/CQRlibTest_static.lst
			
		  
		  
#
# Directories
#
$(INSTALLDIR):
	mkdir -p $(INSTALLDIR)

$(INSTALLDIR)/lib:  $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/lib

$(INSTALLDIR)/bin:  $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/bin

$(INSTALLDIR)/include:  $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/include
	

$(LIB):
	mkdir $(LIB)

$(BIN):
	mkdir $(BIN)

#
# CQRlib library
#
$(LIB)/libCQRlib.$(LIB_EXT): $(SOURCE) $(HEADERS) $(COMMONDEP)
	$(COMPILE_COMMAND) -c $(SOURCE)
	$(LIBRARY_LINK_COMMAND) -o $(LIB)/libCQRlib.$(LIB_EXT) *.$(OBJ_EXT) 

#
# CQRlibTest example program
#
$(BIN)/CQRlibTest: $(LIB)/libCQRlib.$(LIB_EXT) $(EXAMPLES)/CQRlibTest.c 
	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/CQRlibTest.c $(LIB)/libCQRlib.$(LIB_EXT) -lm \
		      -o $@

#
# Tests
#
tests:		$(LIB) $(BIN) $(BIN)/CQRlibTest \
				$(TESTDATA)/CQRlibTest_orig.lst
			$(BIN)/CQRlibTest > $(TESTDATA)/CQRlibTest.lst
			diff -b -c $(TESTDATA)/CQRlibTest_orig.lst \
				$(TESTDATA)/CQRlibTest.lst

#
# Remove all non-source files
#
empty:
		  @-rm -rf $(LIB)
		  @-rm -rf $(BIN)
		  @-rm -f $(TESTDATA)/CQRlibTest.lst
		  @-rm -f $(TESTDATA)/CQRlibTest_static.lst
		  @-rm -f $(TESTDATA)/CQRlibTest_dynamic.lst
		  
#
# Remove temporary files
#
clean:
	@-rm -f core 
	@-rm -f *.o
	@-rm -f *.$(OBJ_EXT)
	@-rm -f *.c.*

#
# Restore to distribution state
#
distclean:	clean empty

## cqrlib 1.1.2

=== debian/changelog ===
cqrlib (1.1.2-2) unstable; urgency=low

  * control:
    - Upgrade to standards-version 3.9.4.
    - Add libcqrlib2 dependency to libcqrlib2-dev.
    - Remove unnecessary shlibs:Depends substvar.
  * Add libcqrlib2.symbols file.
  * Use debhelper compat level 9 for hardening flags.
  * patches/01_makefile:
    - Pick up (hardening) build flags from environment.
    - Use a variable for library installation path for
      multiarch support.
  * Use multiarch library paths.
  * copyright: Upgrade to latest format, update years.

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 25 May 2013 15:15:39 +0200

cqrlib (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * Use Debian source package format '3.0 (quilt)
  * Add a README.source file documenting the source package generation
    from the git repository.
  * Split Makefile fixes to (meta)patch 01_makefile:
    - Use $DESTDIR as an installation directory
    - Remove .libs dirs in empty target
    - Link with libm
    - Remove all test output in empty target
  * control:
    - Upgrade to standards version 3.9.1
    - Update descriptions (fixes some lintian wishlist-level warnings)
  * Do not install *.la files (closes: #621299).

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 07 Apr 2011 17:58:46 +0200

cqrlib (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #550850)

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 16 Nov 2009 18:03:44 +0100

=== debian/control ===
Source: cqrlib
Section: libdevel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cqrlib.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/cqrlib.git
Homepage: http://sourceforge.net/projects/cqrlib/
Build-Depends: debhelper (>= 9), libtool
Standards-Version: 3.9.4

Package: libcqrlib2-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcqrlib2 (= ${binary:Version}), ${misc:Depends}
Description: Library and headers for quaternion arithmetic and rotation math
 Quaternions are four-dimensional numbers which form an associative normed
 division algebra over the real numbers. Unit quaternions are a convenient
 and efficient way to represent orientations and rotations in three
 dimensions.
 .
 CQRlib is an ANSI C implementation of a utility library for quaternion
 arithmetic and quaternion rotation math.
 .
 This package contains files needed for compiling programs using CQRlib.

Package: libcqrlib2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for quaternion arithmetic and rotation math
 Quaternions are four-dimensional numbers which form an associative normed
 division algebra over the real numbers. Unit quaternions are a convenient
 and efficient way to represent orientations and rotations in three
 dimensions.
 .
 CQRlib is an ANSI C implementation of a utility library for quaternion
 arithmetic and quaternion rotation math.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export INSTALL_LIB := lib/$(DEB_HOST_MULTIARCH)

%:
	dh  $@

## cqrlib 1.1.4

=== Makefile ===
--- 
+++ 
@@ -39,15 +39,17 @@
 #**********************************************************************/
 
 # Version string
-VERSION = 2:0:0
-RELEASE = 1.0.3
+VERSION = 3:0:1
+RELEASE = 1.1.0
 
 
 #
 # Compiler and compilation flags
 #
 CC	= gcc
+CXX = g++
 CFLAGS  = -g -O2  -Wall -ansi -pedantic
+CPPFLAGS = $(CFLAGS) -DCQR_NOCCODE=1
 
 #
 # libtool path if system default is not suitable
@@ -85,13 +87,18 @@
 INCLUDES = -I$(INC)
 endif
 
-COMPILE_COMMAND        =  $(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c
-LIBRARY_LINK_COMMAND   =  $(LIBTOOL) --mode=link  $(CC) -version-info $(VERSION) -release $(RELEASE) -rpath $(INSTALLDIR)/lib
-BUILD_COMMAND_LOCAL    =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(INCLUDES)
-BUILD_COMMAND_DYNAMIC  =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -dynamic -I $(INSTALLDIR)/include -L$(INSTALLDIR)/lib
-BUILD_COMMAND_STATIC   =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -static -I $(INSTALLDIR)/include -L$(INSTALLDIR)/lib
-INSTALL_COMMAND        =  $(LIBTOOL) --mode=install cp
-INSTALL_FINISH_COMMAND =  $(LIBTOOL) --mode=finish
+COMPILE_COMMAND         =  $(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c
+LIBRARY_LINK_COMMAND    =  $(LIBTOOL) --mode=link  $(CC) -version-info $(VERSION) -rpath $(INSTALLDIR)/lib
+BUILD_COMMAND_LOCAL     =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(INCLUDES)
+BUILD_COMMAND_DYNAMIC   =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -dynamic -I $(INSTALLDIR)/include -L$(INSTALLDIR)/lib
+BUILD_COMMAND_STATIC    =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -static -I $(INSTALLDIR)/include -L$(INSTALLDIR)/lib
+CPPCOMPILE_COMMAND      =  $(LIBTOOL) --mode=compile $(CXX) $(CPPFLAGS) $(INCLUDES) $(WARNINGS) -c
+CPPLIBRARY_LINK_COMMAND =  $(LIBTOOL) --mode=link $(CXX) -version-info $(VERSION) -rpath $(INSTALLDIR)/lib
+CPPBUILD_COMMAND_LOCAL  =  $(LIBTOOL) --mode=link $(CXX) $(CPPFLAGS) $(INCLUDES)
+CPPBUILD_COMMAND_DYNAMIC=  $(LIBTOOL) --mode=link $(CXX) $(CPPFLAGS) -dynamic -I $(INSTALLDIR)/include -L$(INSTALLDIR)/lib
+CPPBUILD_COMMAND_STATIC =  $(LIBTOOL) --mode=link $(CXX) $(CPPFLAGS) -static -I $(INSTALLDIR)/include -L$(INSTALLDIR)/lib
+INSTALL_COMMAND         =  $(LIBTOOL) --mode=install cp
+INSTALL_FINISH_COMMAND  =  $(LIBTOOL) --mode=finish
 
 OBJ_EXT                =  lo
 LIB_EXT                =  la
@@ -131,20 +138,28 @@
 	@echo ' Before making the CQRlib library and example programs, check'
 	@echo ' that the chosen settings are correct'
 	@echo ' '
-	@echo ' The current compile command is:'
+	@echo ' The current C and C++ compile commands are:'
 	@echo ' '
 	@echo '   $(COMPILE_COMMAND)'
-	@echo ' '
-	@echo ' The current library link command is:'
+	@echo '   $(CPPCOMPILE_COMMAND)'
+	@echo ' '
+	@echo ' The current library C and C++ link commands are:'
 	@echo ' '
 	@echo '   $(LIBRARY_LINK_COMMAND)'
-	@echo ' '
-	@echo ' The current library local, dynamic and static build commands are:'
+	@echo '   $(CPPLIBRARY_LINK_COMMAND)'
+	@echo ' '
+	@echo ' The current C library local, dynamic and static build commands are:'
 	@echo ' '
 	@echo '   $(BUILD_COMMAND_LOCAL)'
 	@echo '   $(BUILD_COMMAND_DYNAMIC)'
 	@echo '   $(BUILD_COMMAND_STATIC)'
 	@echo ' '
+	@echo ' The current C++ template local, dynamic and static build commands are:'
+	@echo ' '
+	@echo '   $(CPPBUILD_COMMAND_LOCAL)'
+	@echo '   $(CPPBUILD_COMMAND_DYNAMIC)'
+	@echo '   $(CPPBUILD_COMMAND_STATIC)'
+	@echo ' '
 	@echo ' Before installing the CQRlib library and example programs, check'
 	@echo ' that the install directory and install commands are correct:'
 	@echo ' '
@@ -179,7 +194,7 @@
 #
 all:	$(LIB) $(BIN) $(SOURCE) $(HEADERS) \
 		$(LIB)/libCQRlib.$(LIB_EXT) \
-		$(BIN)/CQRlibTest
+		$(BIN)/CQRlibTest $(BIN)/CPPQRTest
 		
 install:  all $(INSTALLDIR) $(INSTALLDIR)/lib $(INSTALLDIR)/include \
           $(INC) $(LIB)/libCQRlib.$(LIB_EXT)  $(INC)/cqrlib.h
@@ -200,6 +215,16 @@
 		  $(BIN)/CQRlibTest_static > $(TESTDATA)/CQRlibTest_static.lst
 		  diff -b -c $(TESTDATA)/CQRlibTest_orig.lst \
 		    $(TESTDATA)/CQRlibTest_static.lst
+		  $(CPPBUILD_COMMAND_DYNAMIC) $(EXAMPLES)/CPPQRTest.cpp \
+		    -lm -o $(BIN)/CPPQRTest_dynamic
+		  $(BIN)/CPPQRTest_dynamic > $(TESTDATA)/CPPQRTest_dynamic.lst
+		  diff -b -c $(TESTDATA)/CPPQRTest_orig.lst \
+		    $(TESTDATA)/CPPQRTest_dynamic.lst
+		  $(CPPBUILD_COMMAND_STATIC) $(EXAMPLES)/CPPQRTest.cpp \
+		    -lm -o $(BIN)/CPPQRTest_static
+	      $(BIN)/CPPQRTest_static > $(TESTDATA)/CPPQRTest_static.lst
+		  diff -b -c $(TESTDATA)/CPPQRTest_orig.lst \
+		    $(TESTDATA)/CPPQRTest_static.lst
 			
 		  
 		  
@@ -240,13 +265,24 @@
 		      -o $@
 
 #
+# CPPQRTest example program
+#
+$(BIN)/CPPQRTest: $(EXAMPLES)/CPPQRTest.cpp
+	$(CPPBUILD_COMMAND_LOCAL) $(EXAMPLES)/CPPQRTest.cpp -lm \
+		      -o $@
+
+#
 # Tests
 #
 tests:		$(LIB) $(BIN) $(BIN)/CQRlibTest \
-				$(TESTDATA)/CQRlibTest_orig.lst
+				all $(TESTDATA)/CQRlibTest_orig.lst $(TESTDATA)/CPPQRTest_orig.lst
 			$(BIN)/CQRlibTest > $(TESTDATA)/CQRlibTest.lst
 			diff -b -c $(TESTDATA)/CQRlibTest_orig.lst \
 				$(TESTDATA)/CQRlibTest.lst
+			$(BIN)/CPPQRTest > $(TESTDATA)/CPPQRTest.lst
+			diff -b -c $(TESTDATA)/CPPQRTest_orig.lst \
+				$(TESTDATA)/CPPQRTest.lst
+			
 
 #
 # Remove all non-source files
@@ -257,6 +293,9 @@
 		  @-rm -f $(TESTDATA)/CQRlibTest.lst
 		  @-rm -f $(TESTDATA)/CQRlibTest_static.lst
 		  @-rm -f $(TESTDATA)/CQRlibTest_dynamic.lst
+		  @-rm -f $(TESTDATA)/CPPQRTest.lst
+		  @-rm -f $(TESTDATA)/CPPQRTest_static.lst
+		  @-rm -f $(TESTDATA)/CPPQRTest_dynamic.lst
 		  
 #
 # Remove temporary files

=== debian/changelog ===
cqrlib (1.1.4-3build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:44:56 +0200

cqrlib (1.1.4-3) unstable; urgency=medium

  * Team upload.
  * Fix build on i386
    Closes: #1027696
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2023 10:38:03 +0100

cqrlib (1.1.4-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add debian/not-installed

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 07:41:10 +0100

cqrlib (1.1.4-1) unstable; urgency=medium

  * New upstream version.
  * makefile: Use '-shared' in dynamic linking command
  * rules:
    - Change priority to optional
    - Update Vcs-* field to point to salsa
    - Update Homepage to point to github
    - Build-dep on libtool-bin and debhelper (>=11~)
    - Upgrade standards-version to 4.2.1
    - Add hardening build flags
    - Remove SONAME number from -dev package, libcqrlib2-dev -> libcqrlib-dev
  * compat: Use debhelper level 11.
  * copyright:
    - Use HTTPS URL
    - Update Upstream-Contact
    - Update years
  * Remove debian/README.source.
  * Remove debian/*.dirs files.
  * watch: Check releases from github.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 16 Oct 2018 14:34:03 +0300

=== debian/control ===
Source: cqrlib
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libtool-bin
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/cqrlib
Vcs-Git: https://salsa.debian.org/science-team/cqrlib.git
Homepage: https://github.com/yayahjb/cqrlib
Rules-Requires-Root: no

Package: libcqrlib-dev
Architecture: any
Multi-Arch: same
Depends: libcqrlib2 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library and headers for quaternion arithmetic and rotation math
 Quaternions are four-dimensional numbers which form an associative normed
 division algebra over the real numbers. Unit quaternions are a convenient
 and efficient way to represent orientations and rotations in three
 dimensions.
 .
 CQRlib is an ANSI C implementation of a utility library for quaternion
 arithmetic and quaternion rotation math.
 .
 This package contains files needed for compiling programs using CQRlib.

Package: libcqrlib2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for quaternion arithmetic and rotation math
 Quaternions are four-dimensional numbers which form an associative normed
 division algebra over the real numbers. Unit quaternions are a convenient
 and efficient way to represent orientations and rotations in three
 dimensions.
 .
 CQRlib is an ANSI C implementation of a utility library for quaternion
 arithmetic and quaternion rotation math.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/yayahjb/cqrlib/tags \
             (?:.*?/)CQRlib-?(\d[\d.]*)\.tar\.gz
